Name:           nodejs
Version:        0.9.1
Release:        1
Summary:        JavaScript server-side network application development
Group:          Development/Other
License:        MIT
URL:            http://nodejs.org/
Source0:        http://nodejs.org/dist/v%{version}/node-v%{version}.tar.gz 
BuildRequires:  libstdc++-devel python openssl-devel
BuildRequires:  zlib-devel v8-devel

%description
Evented I/O for Google V8 JavaScript

Node.js use V8 engine (JavaScript engine used for Webkit) and let you create
application on server-side. It handles HTTP server, Socket server, clients
and a lot of modules to ease your projects creation.

Node.js's goal is to provide an easy way to build scalable network programs. 


%prep
%setup -q -n node-v%{version}
#s ed -i "s|/usr/local|%{buildroot}|" tools/installer.js

# http://code.google.com/p/gyp/issues/detail?id=260
sed -i -e "/append('-arch/d" tools/gyp/pylib/gyp/xcode_emulation.py || die


%build

./configure --shared-v8 --prefix=%{buildroot}/%{_prefix} \
	    --shared-v8-includes=%{_includedir} \
	    --openssl-use-sys --shared-zlib
%make

%install
#%makeinstall_std

mkdir -p %{buildroot}/%{_includedir}/node
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}
mkdir -p %{buildroot}/lib/node_modules/npm


#/lib/node_modules/npm/man/man1/folders.1

#move mans before copying deps/npm/
mv -f deps/npm/man/* %{buildroot}/%{_mandir}

#includes
cp 'src/eio-emul.h' 'src/ev-emul.h' 'src/node.h' 'src/node_buffer.h' 'src/node_object_wrap.h' 'src/node_version.h' %{buildroot}/usr/include/node || die "Failed to copy stuff"
cp -R deps/uv/include/* %{buildroot}/usr/include/node || die "Failed to copy stuff"
cp 'out/Release/node' %{buildroot}/usr/bin/node || die "Failed to copy stuff"
cp -R deps/npm/* %{buildroot}/lib/node_modules/npm || die "Failed to copy stuff"


cp -R deps/npm/* %{buildroot}/lib/node_modules/npm || die "Failed to copy stuff"
#cp -R tools/wafadmin %{buildroot}/lib/node/  || die "Failed to copy stuff"
#cp tools/node-waf %{buildroot}/%{_bindir}/ || die "Failed to copy stuff"


ln -s /lib/node_modules/npm/bin/npm-cli.js %{buildroot}/%{_bindir}/npm


#r m -f %{buildroot}/%{_includedir}/node/v8*

%files
%doc doc README.md LICENSE AUTHORS
%{_bindir}/node
#% {_bindir}/node-waf
%{_bindir}/npm
%{_includedir}/node*
%{_mandir}/man1/*.xz
%{_mandir}/man3/*.xz
/lib/node_modules/
#/lib/node/


%changelog
* Wed Sep 26 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.9.1-1
+ Revision: 817635
- version update 0.9.1

* Fri Jul 27 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.8.4-1
+ Revision: 811268
- version update  0.8.4

* Thu Jul 26 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.8.3-1
+ Revision: 811158
- version update 0.8.3

* Wed Jul 04 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.8.1-1
+ Revision: 808082
- version update 0.8.1

* Thu Jun 28 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.8.0-1
+ Revision: 807385
- version update 0.8.0

* Thu Jun 14 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.7.8-1
+ Revision: 805678
- segfault at compilation fix
- BR:v8-devel
- version update 0.7.8

* Tue Apr 24 2012 Lev Givon <lev@mandriva.org> 0.6.15-1
+ Revision: 793056
- Update to 0.6.15.

* Sun Mar 25 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.6.14-1
+ Revision: 786794
- version update 0.6.14

* Sun Mar 18 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.6.13-1
+ Revision: 785482
- version update 0.6.13

* Mon Mar 05 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.6.12-1
+ Revision: 782142
- version update  0.6.12

* Mon Feb 20 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.6.11-1
+ Revision: 778191
- version update 0.6.11

* Fri Jan 20 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.6.8-1
+ Revision: 763344
- version update 0.6.8

* Wed Jan 11 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.6.7-1
+ Revision: 759724
- version upadte 0.6.7
- BuildReq section fix

* Fri Dec 02 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.6.4-1
+ Revision: 737165
- sversion update 0.6.4

* Fri Nov 25 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.6.3-1
+ Revision: 733339
- version update to 0.6.3

  + Adam Williamson <awilliamson@mandriva.org>
    - revert last change, looks like we're not using mkrel any more...
    - fix release

* Wed Aug 24 2011 Adam Williamson <awilliamson@mandriva.org> 0.4.11-1
+ Revision: 696539
- new release 0.4.11

* Wed May 18 2011 Eugeni Dodonov <eugeni@mandriva.com> 0.4.7-1
+ Revision: 676071
- Fix group
- Imported node.js
- Created package structure for nodejs.

